BeagleWksDRParserInternal::Shape Struct Reference documentation

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | Friends | List of all members
BeagleWksDRParserInternal::Shape Struct Reference

Internal: the shape of BeagleWksDRParser. More...

## Public Member Functions
| Shape ()
| constructor More...

## Public Attributes
int | m_type
| the shape type More...
MWAWBox2f | m_box
| the shape bdbox More...
MWAWGraphicShape | m_shape
| the graphic shape ( for line, rect, ...) More...
MWAWEntry | m_entry
| the textbox or picture entry More...
long | m_dataSize
| the data size More...
MWAWGraphicStyle | m_style
| the style More...
MWAWFont | m_font
| the textbox font More...
MWAWParagraph::Justification | m_justify
| the textbox justification More...
double | m_interline
| the interline in percent More...
std::string | m_extra
| extra data More...

## Friends
std::ostream & | operator<< (std::ostream &o, Shape const &shape)
| operator<< More...

## Detailed Description

Internal: the shape of BeagleWksDRParser.

## Constructor & Destructor Documentation

BeagleWksDRParserInternal::Shape::Shape | ( |  | ) |
| inline

constructor

## Friends And Related Function Documentation

std::ostream& operator<< | ( | std::ostream & | o,
|  | Shape const & | shape
| ) |  |
| friend

operator<<

Referenced by Shape().

## Member Data Documentation

MWAWBox2f BeagleWksDRParserInternal::Shape::m_box

the shape bdbox

Referenced by BeagleWksDRParserInternal::operator<<(), BeagleWksDRParser::readShapeDefinitions(), BeagleWksDRParser::readShapePositions(), BeagleWksDRParser::readStyle(), and BeagleWksDRParser::sendPictures().

long BeagleWksDRParserInternal::Shape::m_dataSize

the data size

Referenced by BeagleWksDRParserInternal::operator<<(), BeagleWksDRParser::readShapeDatas(), and BeagleWksDRParser::readStyle().

MWAWEntry BeagleWksDRParserInternal::Shape::m_entry

the textbox or picture entry

Referenced by BeagleWksDRParser::readShapeDatas(), BeagleWksDRParser::sendPictures(), and BeagleWksDRParser::sendText().

std::string BeagleWksDRParserInternal::Shape::m_extra

extra data

Referenced by BeagleWksDRParserInternal::operator<<(), BeagleWksDRParser::readShapeDefinitions(), and BeagleWksDRParser::readStyle().

MWAWFont BeagleWksDRParserInternal::Shape::m_font

the textbox font

Referenced by BeagleWksDRParser::readStyle(), and BeagleWksDRParser::sendText().

double BeagleWksDRParserInternal::Shape::m_interline

the interline in percent

Referenced by BeagleWksDRParser::readStyle(), and BeagleWksDRParser::sendText().

MWAWParagraph::Justification BeagleWksDRParserInternal::Shape::m_justify

the textbox justification

Referenced by BeagleWksDRParser::readStyle(), and BeagleWksDRParser::sendText().

MWAWGraphicShape BeagleWksDRParserInternal::Shape::m_shape

the graphic shape ( for line, rect, ...)

Referenced by BeagleWksDRParser::readShapeDatas(), BeagleWksDRParser::readShapeDefinitions(), BeagleWksDRParser::readStyle(), and BeagleWksDRParser::sendPictures().

MWAWGraphicStyle BeagleWksDRParserInternal::Shape::m_style

the style

Referenced by BeagleWksDRParserInternal::operator<<(), BeagleWksDRParser::readShapeDefinitions(), BeagleWksDRParser::readStyle(), and BeagleWksDRParser::sendPictures().

int BeagleWksDRParserInternal::Shape::m_type

the shape type

Referenced by BeagleWksDRParserInternal::operator<<(), BeagleWksDRParser::readShapeDatas(), BeagleWksDRParser::readShapeDefinitions(), BeagleWksDRParser::readStyle(), BeagleWksDRParser::sendPictures(), and BeagleWksDRParser::sendText().

The documentation for this struct was generated from the following file:

- BeagleWksDRParser.cxx